USE AdventureWorks;
GO

DECLARE @SessionID INT
DECLARE @SQLHandle varbinary(64)
DECLARE @PlanHandle varbinary(64)

SELECT TOP 1 @SessionID = session_id FROM sys.dm_exec_requests 
   ORDER BY total_elapsed_time DESC;

SELECT @SQLHandle = sql_handle FROM sys.dm_exec_requests 
WHERE session_id = @SessionID;

SELECT @PlanHandle = plan_handle FROM sys.dm_exec_requests 
WHERE session_id = @SessionID;

SELECT @SQLHandle AS SQLHandle;
SELECT @PlanHandle AS PlanHandle;

SELECT DB_NAME(dbid) AS [db_name], 
       OBJECT_NAME(objectid) AS obj_name, 
       number, encrypted, [text]
FROM sys.dm_exec_sql_text(@SQLHandle);

SELECT query_plan FROM sys.dm_exec_query_plan(@PlanHandle);

SELECT * FROM sys.dm_exec_query_stats 
WHERE plan_handle = @PlanHandle

SELECT * FROM sys.dm_tran_locks 
WHERE request_session_id = @SessionID;
GO




